/*ULTIMOS TALLERES Y CONFERENCIAS*/

.ult-conferencias-fondo {
    min-height: 900px;
    position: relative;
    z-index: -1;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.ult-conferencias-fondo::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../Imgs/conferencia-fondo.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0.5;
    z-index: -1;
}

.ult-talleres {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 100%;
    max-width: 1200px;
    z-index: 1;
    text-align: center;
    position: relative;
    padding: 20px;
    box-sizing: border-box;
}

.ult-talleres::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #921d1d;
    opacity: 0.7;
    z-index: -1;
}

.lista-intro {
    opacity: 1;
    color: #b1b1b1;
    padding: 20px 40px 0 40px;
    text-align: center;
    box-sizing: border-box;
    max-width: 900px;
    margin: 0 auto;
}

.lista-intro h1 {
    color: white;
    font-weight: bolder;
    font-size: 36px;
}

.lista-intro hr {
    position: relative;
    width: 0;
    height: 4px;
    background-color: #c32222;
    border: none;
    margin: 0 auto 20px auto;
    border-radius: 2px;
    animation: underline-grow 1s ease-in-out forwards;
}

.lista-talleres {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
    box-sizing: border-box;
    font-size: 18px;
    width: 100%;
    margin-top: 20px;


}

.lista {
    position: relative;
    width: 100%;
    max-width: 900px;
    color: #e0e0e0;
    box-sizing: border-box;
    text-align: center;
    padding: 0;
    margin: 0;
}



.lista ul li {

    padding: 10px 20px 10px 0;
    margin: 0 auto;
    line-height: 1.4;
    font-size: 20px;
    color: #ffffff;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    /* Separador horizontal */
    max-width: 600px;
    box-sizing: border-box;
    list-style: none;

}

.lista ul li:last-child {
    border-bottom: none;
}


/* RESPONSIVE BREAKPOINTS */

@media (max-width: 1024px) {
    .ult-talleres {
        padding: 20px;
    }

    .lista-talleres {
        flex-direction: column;
        align-items: center;
    }

    .lista {
        max-width: 90%;
    }
}

@media (max-width: 600px) {
    .lista-intro h1 {
        font-size: 28px;
    }

    .lista {
        padding: 20px;
        font-size: 16px;
    }

    .lista ul {
        line-height: 28px;
    }
}


/*INTRO*/

.intro {
    display: flex;
    flex-wrap: wrap;
    max-height: 800px;
    align-items: center;
    overflow: hidden;
}


.intro-text {
    padding-top: 20px;
    width: 50%;
    margin: 0 auto;
    padding-bottom: 20px;
}

.intro-text hr {
    width: 60px;
    height: 4px;
    background-color: #c32222;
    border: none;
    margin: auto;
    border-radius: 2px;
    animation: underline-grow1 1s ease-in-out forwards;
}

.intro-text h1 {
    font-size: 36px;
    margin-bottom: 6px;
    text-align: center;
    margin: 30 0 0 30px;
}

.intro-text h2 {
    color: #1a1a1a;
    text-align: left;
    margin-bottom: 20px;
    margin-left: 30px;
    max-width: 350px;
}

.intro-text p {
    text-align: justify;
    line-height: 1.6;
    font-size: 18px;
    margin: 0 30px 30px 30px;
    /* arriba derecha abajo izquierda*/
}

.intro-img {
    height: 500px;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #121212;
    overflow: hidden;
}


.intro-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (max-width: 768px) {
    .intro {
        display: block;
        max-height: 100%;
    }

    .intro-img,
    .intro-text {
        width: 100%;
    }

    .intro-img {
        margin-bottom: 20px;
    }
}


@keyframes underline-grow1 {
    from {
        width: 0;
    }

    to {
        width: 80px;
    }
}

/*VIDEOS*/

.container {
    display: flex;
    gap: 36px;
    background-color: #121212;
    padding: 40px 20px;
    justify-content: center;
    text-align: center;
    margin: 20px;
}


/*Sección Grande*/

.section-grande {
    position: relative;
    border: solid 2px gray;
    color: #e0e0e0;
    text-align: justify;
    width: 1100px;
    min-width: 250px;
    min-height: 472px;
    height: 550px;
    box-sizing: border-box;
    overflow: hidden;
    z-index: 0;

}

.video,
#video-element,
#video-element-pequeño,
#video-element-pequeño2,
#video-element-pequeño3,
#video-element-pequeño4,
#video-element-pequeño5 {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    min-width: 150px;
}

.section-grande::before,
.section-pequeña::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, #ffd8d800, #c3222234);
    z-index: 1;
    pointer-events: none;
    /* deja pasar clics */
    transition: opacity 0.6s ease;
    opacity: 0;
}

.section-grande h1,
.section-grande p {
    position: absolute;
    bottom: 10px;
    left: 36px;
    line-height: 4;
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    z-index: 2;
}

.section-grande h1 {
    margin-bottom: 26px;
}

.section-grande p {
    color: #000000;
    font-weight: bolder;
}

/*Sección Grande Hover*/

.section-grande:hover {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    background: linear-gradient(to bottom, #ffd8d800, #c3222234);
    border: #c32222 solid 2px;
}

.section-grande:hover::before,
.section-pequeña:hover::before {
    opacity: 1;
}

.section-grande:hover h1,
.section-grande:hover p,
.section-grande:hover .play-button {
    transform: translateY(-20px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}


.section-grande .play-button {
    position: absolute;
    bottom: 48px;
    right: 36px;
    height: 50px;
    width: 50px;
    border-radius: 100%;
    background-color: #c32222;
    border: none;
    cursor: pointer;
    color: white;
    font-size: 20px;
    line-height: 50px;
    text-align: center;
    z-index: 1;
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}


/*Sección Grande Hover*/

.section-grande:hover {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    background: linear-gradient(to bottom, #ffd8d800, #c3222234);
    border: #c32222 solid 2px;
}

.section-grande:hover h1,
.section-grande:hover p,
.section-grande:hover .play-button {
    transform: translateY(-20px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}


/*Secciones Pequeñas*/

.section-divided {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    color: #e0e0e0;
    text-align: justify;
    width: 550px;
    min-width: 190px;
    max-height: 550px;
    box-sizing: border-box;
    overflow-y: auto;
    padding-right: 10px
}

.section-divided::-webkit-scrollbar {
    width: 10px;
}

.section-divided::-webkit-scrollbar-track {
    background: #1e1e1e;
    border-radius: 10px;
}

.section-divided::-webkit-scrollbar-thumb {
    background: #c32222;
    border-radius: 10px;
}

.section-divided::-webkit-scrollbar-thumb:hover {
    background: #a91b1b;
}

.section-pequeña {
    position: relative;
    border: solid 2px gray;
    color: #e0e0e0;
    flex: 1 1 45%;
    height: 267px;
    width: auto;
    min-width: 150px;
    box-sizing: border-box;
    font-size: small;
    overflow: hidden;
    object-fit: cover;
    z-index: 0;
}


.section-pequeña h1,
.section-pequeña p {
    position: absolute;
    bottom: 5px;
    left: 18px;
    line-height: 2;
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    z-index: 2;
}

.section-pequeña h1 {
    margin-bottom: 26px;
}

.section-pequeña p {
    color: #000000;
    font-weight: bolder;
}

.section-pequeña .play-button {
    position: absolute;
    bottom: 26.5px;
    right: 18px;
    height: 37.5px;
    width: 37.5px;
    border-radius: 100%;
    background-color: #c32222;
    border: none;
    cursor: pointer;
    color: white;
    font-size: 15px;
    line-height: 25px;
    text-align: center;
    z-index: 1;
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

/*Secciones Pequeñas Hover*/

.section-pequeña:hover {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);

    background: linear-gradient(to bottom, #ffd8d800, #c3222234);
    border: #c32222 solid 2px;
}

.section-pequeña:hover h1,
.section-pequeña:hover p,
.section-pequeña:hover .play-button {
    transform: translateY(-20px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

@media (max-width: 768px) {

    .container{
        gap: 18px;
    }

    .section-grande .play-button,
    .section-pequeña .play-button {
        top: 50%;
        left: 50%;
        bottom: auto;
        right: auto;
        transform: translate(-50%, -50%);
    }

    .section-pequeña:hover .play-button,
    .section-grande:hover .play-button {
        transform: translate(-50%, -50%) scale(1.1);
        transition: opacity 0.3s ease-out, transform 0.3s ease-out;

    }

    .section-pequeña h1,
    .section-pequeña p,
    .section-grande h1,
    .section-grande p {
        transform: none;
        transition: none;
        visibility: hidden;
    }



}



/*COMENTARIOS*/

.comentarios {
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    padding: 40px 20px;
    background-color: #000000;
    text-align: center;
    justify-content: center;
    overflow-x: hidden;
    box-sizing: border-box;
    margin: 0 auto;
    /* Centra el contenedor */
}

.texto-intro {
    opacity: 1;
    color: #b1b1b1;
    text-align: center;
    overflow-x: hidden;
    box-sizing: border-box;
    max-width: 900px;
    margin: 0 auto;
    margin-bottom: 60px;
}

.texto-intro h1 {
    color: white;
    font-weight: bolder;
    font-size: 36px;
}

.texto-intro hr {
    position: relative;
    width: 0;
    height: 4px;
    background-color: #c32222;
    border: none;
    margin: 0 auto 20px auto;
    border-radius: 2px;
    animation: underline-grow 1s ease-in-out forwards;
}

.texto-intro a {
    color: #ffffff;
}

@keyframes underline-grow {
    from {
        width: 0;
    }

    to {
        width: 200px;
    }
}


.comentario {
    position: relative;
    background-color: #1a1a1a;
    color: #e0e0e0;
    text-align: justify;
    justify-content: center;
    padding: 20px;
    width: 100%;
    max-width: 400px;
    box-sizing: border-box;
    word-wrap: break-word;
    z-index: 1;
}

.comentario-img {
    position: absolute;
    justify-self: left;
    height: 40px;
    z-index: -1;
}

.texto {
    z-index: 1;
    padding: auto;
    padding-left: 25px;
    padding-top: 5px;
    line-height: 23px;
}

.nombre-comentario {
    text-align: left;
    justify-content: left;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding-left: 20px;
    line-height: 5px;
    box-sizing: border-box;
    /* Para que el borde no afecte el tamaño */
    overflow: hidden;
    /* Ocultar cualquier parte de la imagen que sobresalga */
}

.nombre-comentario pre {
    font-size: small;
    color: #616161;
}

.nombre-comentario h1 {
    font-size: larger;
    padding-top: 15px;
}

.img-comentario {

    height: 60px;
    width: 60px;
    border-radius: 100%;
    margin-top: 15px;
    border: #616161 2px solid;
}

/*Ya Confían en Mí*/

.client-section {
    margin: 0;
    background-color: #000000;
    color: #ccc;
    text-align: center;
    padding: 50px 20px;
}

.client-section h2 {
    font-weight: 600;
    color: #999;
    margin-bottom: 40px;
}

.client-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
}

.client-logos img {
    max-height: 60px;
    filter: grayscale(100%);
    opacity: 0.8;
    transition: opacity 0.3s ease;
}

.client-logos img:hover {
    opacity: 1;
    filter: grayscale(0%);
}